# $Revision: 1.23 $, $Date: 2002/07/20 12:05:43 $
# conditional build
#  --without fsck -- don't build fsck.jfs (as it requires pthread)
Summary:	IBM JFS utility programs
Summary(pl):	Programy uytkowe dla IBM JFS
Name:		jfsutils
Version:	1.0.20
Release:	1
License:	GPL
Group:		Applications/System
Source0:	http://www10.software.ibm.com/developer/opensource/jfs/project/pub/%{name}-%{version}.tar.gz
URL:		http://oss.software.ibm.com/jfs/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	jfsprogs

%define		_sbindir	/sbin

%description
Utilities to manage JFS filesystems.

%description -l pl
Programy do zarzdzania systemem plikw JFS.

%prep
%setup -q
%{?_without_fsck:cp Makefile.am Makefile.am.tmp}
%{?_without_fsck:sed -e 's/ fsck / /' Makefile.am.tmp > Makefile.am}

%build
rm -f missing
aclocal
%{__autoconf}
autoheader
%{__automake}

%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: jfsutils.spec,v $
Revision 1.23  2002/07/20 12:05:43  areq
- 1.0.20, STBR

Revision 1.22  2002/05/21 23:13:38  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.21  2002/04/25 16:39:18  arturs
fixed a small typo

Revision 1.20  2002/04/13 06:59:53  kloczek
- updated to 1.0.17 and added jfsprogs to Obsoletes for allow upgrade from MDK.

Revision 1.19  2002/03/24 23:28:20  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.18  2002/03/20 23:39:55  kloczek
- release 2.

Revision 1.17  2002/03/15 14:35:49  malekith
- dropped BOOT stuff
- added --without fsck (fsck requires pthread (sic!))

Revision 1.16  2002/02/22 23:29:05  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/01/18 02:13:23  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2002/01/03 13:45:08  kloczek
- fixed building BOOT subpackage (removed -c from CFLAGS).

Revision 1.13  2002/01/03 12:50:33  kloczek
- updated to 1.0.11 (added am/ac suit and fixed few minor bugs).

Revision 1.12  2001/12/02 00:30:35  kloczek
- updated to 1.0.10,
- pass CC=%%{__cc} to make parameters.

Revision 1.11  2001/11/30 10:34:37  qboosh
- fixed pl translations, cosmetics; release 2

Revision 1.10  2001/11/10 18:41:48  kloczek
- updated to 1.0.9.

Revision 1.9  2001/10/30 13:37:21  malekith
fixed BOOT`s install

Revision 1.8  2001/10/30 10:19:39  malekith
- BOOT version
- rel 2

Revision 1.7  2001/10/19 18:52:28  kloczek
- updated to 1.0.8.

Revision 1.6  2001/10/13 09:26:01  marcus
- new version 1.0.7, STBR

Revision 1.5  2001/10/06 21:13:13  kloczek
- updated to 1.0.6.

Revision 1.4  2001/09/15 21:41:10  kloczek
- updated to 1.0.5.

Revision 1.3  2001/09/04 00:43:30  kloczek
- updated to 1.0.4.

Revision 1.2  2001/09/04 00:42:18  kloczek
- pass %%{rpmcflags} to CFLAGSS (now spec is %%{debug} ready),
- more macros and few cosmetics.

Revision 1.1  2001/09/03 18:53:18  filon
- new package, working spec, release 1
